---
this_file: LOG.md
---

# Changelog

All notable changes to the `twat` project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.7.6] - 2025-02-15

### Changed

- Updated package dependencies in `pyproject.toml`
- Enhanced documentation in README.md
- Refined package configuration

## [1.7.5] - 2025-02-15

### Added

- Extensive documentation improvements in README.md
- Enhanced package initialization functionality

### Changed

- Major refactoring of `src/twat/__init__.py`
- Updated path handling in `src/twat/paths.py`
- Refined package dependencies

## [1.7.0] - 2025-02-13

### Added

- New gitignore patterns for better repository management

### Changed

- Improved project structure
- Enhanced development workflow

## [1.6.2] - 2025-02-06

### Added

- Extended package configuration in `pyproject.toml`
- Added new package metadata
- Improved dependency specifications

## [1.6.1] - 2025-02-06

### Changed

- Refactored initialization code in `src/__init__.py` and `src/twat/__init__.py`
- Improved path handling in `src/twat/paths.py`
- Enhanced test coverage

### Fixed

- Path resolution issues
- Package initialization bugs

## [1.6.0] - 2025-02-06

### Added

- Initial GitHub repository setup
- Comprehensive plugin system implementation
- Modern Python packaging with PEP 621 compliance

### Changed

- Updated project documentation
- Refined package structure

## [1.1.0] - 2025-02-03

### Added

- Implemented core package functionality in `src/__init__.py`
- Added initial test suite in `tests/test_package.py`
- Enhanced project configuration in `pyproject.toml`

### Changed

- Improved gitignore configuration
- Updated README with more detailed information

## [1.0.1] - 2025-02-03

### Fixed

- Package configuration issues in `pyproject.toml`
- Repository ignore patterns

## [1.0.0] - 2025-02-03

### Added

- Initial release
- Basic package structure
- Core module implementation
- Package initialization
- Version management system

[1.7.6]: https://github.com/twardoch/twat/compare/v1.7.5...v1.7.6
[1.7.5]: https://github.com/twardoch/twat/compare/v1.7.0...v1.7.5
[1.7.0]: https://github.com/twardoch/twat/compare/v1.6.2...v1.7.0
[1.6.2]: https://github.com/twardoch/twat/compare/v1.6.1...v1.6.2
[1.6.1]: https://github.com/twardoch/twat/compare/v1.6.0...v1.6.1
[1.6.0]: https://github.com/twardoch/twat/compare/v1.1.0...v1.6.0
[1.1.0]: https://github.com/twardoch/twat/compare/v1.0.1...v1.1.0
[1.0.1]: https://github.com/twardoch/twat/compare/v1.0.0...v1.0.1
[1.0.0]: https://github.com/twardoch/twat/releases/tag/v1.0.0 
